summaryrefslogtreecommitdiffstats
path: root/build_tools/clarch/larch/profiles/i686-testing-local/rootoverlay/root
diff options
context:
space:
mode:
authorJames Meyer <james.meyer@operamail.com>2008-10-11 19:51:03 (GMT)
committerJames Meyer <james.meyer@operamail.com>2008-10-11 19:51:03 (GMT)
commitc5bb2c762596200b21b2b45cdbc18f01144f1332 (patch)
treefc0f25f217e1083e0ba610ab16f9ceb8b7871a0c /build_tools/clarch/larch/profiles/i686-testing-local/rootoverlay/root
parentcba152f0a94680ed3558bf1c46a459e7a5e5680e (diff)
downloadlinhes_dev-c5bb2c762596200b21b2b45cdbc18f01144f1332.zip
Modify build profiles to not use inittab
Diffstat (limited to 'build_tools/clarch/larch/profiles/i686-testing-local/rootoverlay/root')
-rw-r--r--build_tools/clarch/larch/profiles/i686-testing-local/rootoverlay/root/.fluxbox/apps2
-rwxr-xr-xbuild_tools/clarch/larch/profiles/i686-testing-local/rootoverlay/root/LinHES-install.sh25
-rwxr-xr-xbuild_tools/clarch/larch/profiles/i686-testing-local/rootoverlay/root/startx28
3 files changed, 55 insertions, 0 deletions
diff --git a/build_tools/clarch/larch/profiles/i686-testing-local/rootoverlay/root/.fluxbox/apps b/build_tools/clarch/larch/profiles/i686-testing-local/rootoverlay/root/.fluxbox/apps
new file mode 100644
index 0000000..68fae0a
--- /dev/null
+++ b/build_tools/clarch/larch/profiles/i686-testing-local/rootoverlay/root/.fluxbox/apps
@@ -0,0 +1,2 @@
+[startup] {feh --bg-scale ~/.fluxbox/wallpaper.png}
+
diff --git a/build_tools/clarch/larch/profiles/i686-testing-local/rootoverlay/root/LinHES-install.sh b/build_tools/clarch/larch/profiles/i686-testing-local/rootoverlay/root/LinHES-install.sh
new file mode 100755
index 0000000..f11b365
--- /dev/null
+++ b/build_tools/clarch/larch/profiles/i686-testing-local/rootoverlay/root/LinHES-install.sh
@@ -0,0 +1,25 @@
+#!/bin/bash
+#redirect stderr to stdout, then rediret stdout to file
+. /etc/profile
+exec 2>&1
+exec > /tmp/mythvantage_install.log
+#/usr/bin/nvidia-settings -a InitialPixmapPlacement=2
+#keylaunch &
+#/usr/bin/tilda &
+#/usr/X11R6/bin/unclutter -root -idle 0 -jitter 400 -noevents &
+export MALLOC_CHECK_=0
+
+xhost +
+
+CMDLINE=$(cat /proc/cmdline)
+echo $CMDLINE |grep -q nfsroot
+NFSROOT=$?
+if [ x$NFSROOT = x1 ]
+then
+
+ unbuffer MythVantage &
+else
+ NETBOOT=YES MythVantage &
+fi
+
+exec fluxbox
diff --git a/build_tools/clarch/larch/profiles/i686-testing-local/rootoverlay/root/startx b/build_tools/clarch/larch/profiles/i686-testing-local/rootoverlay/root/startx
new file mode 100755
index 0000000..304b722
--- /dev/null
+++ b/build_tools/clarch/larch/profiles/i686-testing-local/rootoverlay/root/startx
@@ -0,0 +1,28 @@
+#!/bin/bash
+. /etc/profile
+
+export USER=root
+export HOME=/root
+
+CMDLINE=$(cat /proc/cmdline)
+TEMPVAR=${CMDLINE#*ip=}
+IP=${TEMPVAR%% *}
+echo $CMDLINE |grep -q vnc
+USEVNC=$?
+
+if [ x$USEVNC = x1 ]
+then
+ $MV_ROOT/bin/xconfig.sh
+ cat /etc/X11/xorg.conf | sed -e 's/dev\/mouse/dev\/psaux/g'> /root/xorg.conf.install
+ startx /root/LinHES-install.sh -- -config /root/xorg.conf.install -allowMouseOpenFail
+ else
+ #VNC
+ pacman -Sf --noconfirm tightvnc
+ cd /root
+ mkdir .vnc
+ echo mythvantage |vncpasswd -f > /root/.vnc/passwd
+ chmod 500 /root/.vnc/passwd
+ rm /root/.vnc/xstartup
+ ln -s /root/LinHES-install.sh /root/.vnc/xstartup
+ vncserver
+fi